#include <stdio.h>
#include "DataTypes.h"


void createFingers(Finger * fingers) {
  Finger finger;

  finger.id = 1;
  snprintf(finger.name, 32, "%s", "pollex");
  fingers[0] = finger;

  finger.id = 2;
  snprintf(finger.name, 32, "%s", "index");
  fingers[1] = finger;

  finger.id = 3;
  snprintf(finger.name, 32, "%s", "digitus medius");
  fingers[2] = finger;

  finger.id = 4;
  snprintf(finger.name, 32, "%s", "digitus annularis");
  fingers[3] = finger;

  finger.id = 5;
  snprintf(finger.name, 32, "%s", "digitus minimus");
  fingers[4] = finger;
}

int main(void) {

  Finger fingers[5];
  int i;
  
  createFingers(fingers);

  if(fingersEqual(& fingers[0], & fingers[0])) {
    puts("finger_0 == finger_0: Ok");
  }
  if(! fingersEqual(& fingers[0], & fingers[1])) {
    puts("finger_0 != finger_1: Ok");
  }
  
  for(i = 0; i<5; i++) {
    char message[1024];
    char * p;

    p = & message;
    p = fingerToString(& fingers[i], p, 1024);
    printf("%s", message);
  }
  
  return 0;
}